#/bin/bash
imgpath=''
min_size='10k'

#判断图片路径是否为空
if [ -z "$imgpath" ]
then
	imgpath=$1
fi

if [ -z "$imgpath" ]
then
	echo 'The image path cannot be empty!'
	exit
fi

function com_img(){
	find $1 -mmin -60 -size +$2 -name '*.png' -exec optipng -o3 {} \;
	find $1 -mmin -60 -size +$2 -name '*.bmp' -exec optipng -o3 {} \;

	find $1 -mmin -60 -size +$2 -name '*.jpg' -exec jpegoptim -m 80 {} \;
	find $1 -mmin -60 -size +$2 -name '*.jpeg' -exec jpegoptim -m 80 {} \;
}
function com_img_abstract(){
	find $1 -mmin -60 -size +$2 -name 'abstract*.png' -exec optipng -o5 {} \;
	find $1 -mmin -60 -size +$2 -name 'abstract*.bmp' -exec optipng -o5 {} \;

	find $1 -mmin -60 -size +$2 -name 'abstract*.jpg' -exec jpegoptim -m 70 {} \;
	find $1 -mmin -60 -size +$2 -name 'abstract*.jpeg' -exec jpegoptim -m 70 {} \;
}

com_img $imgpath $min_size
com_img_abstract $imgpath $min_size